## lace 0.1.0

=== debian/changelog ===
lace (0.1.0-0ubuntu1) resolute; urgency=medium

  * Initial upload (LP: #2133779)

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 03 Mar 2026 08:58:13 +0100
