## lace 1.3

=== debian/changelog ===
lace (1.3-1) unstable; urgency=medium

  * Initial packaging of Lace as a separate project.
  * Closes: #840726

 -- Daniel Silverstone <dsilvers@digital-scurf.org>  Fri, 14 Oct 2016 17:25:33 +0900
