## lace 1.3.1

=== debian/changelog ===
lace (1.3.1-1) unstable; urgency=medium

  * New upstream release
  * Closes: #854967

 -- Daniel Silverstone <dsilvers@digital-scurf.org>  Mon, 13 Feb 2017 12:09:42 +0000
