=== debian/control ===
Source: lace
Section: interpreters
Priority: optional
Maintainer: Daniel Silverstone <dsilvers@digital-scurf.org>
Build-Depends: debhelper (>= 9.20120909~), dh-lua, lua-ldoc, lua-discount
Standards-Version: 3.9.8
Homepage: https://www.gitano.org.uk/lace/

Package: lua-lace
Architecture: all
Depends: ${misc:Depends}
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Multi-Arch: foreign
Description: Lua Access Control Engine
 Lace is an access control engine written in Lua which implements a squid-like
 ACL system for Lua programs to use in controlling access to resources.
 .
 Lace provides a parser of rulesets and an engine to execute the parsed
 rulesets.  It relies on the calling application to provide access
 control types and then Lace runs the boolean logic and returns an
 allow/deny result along with the location of the decision and any
 description provided by it.

Package: lua-lace-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Documentation for lua-lace
 Lace is an access control engine written in Lua which implements a squid-like
 ACL system for Lua programs to use in controlling access to resources.
 .
 Lace provides a parser of rulesets and an engine to execute the parsed
 rulesets.  It relies on the calling application to provide access
 control types and then Lace runs the boolean logic and returns an
 allow/deny result along with the location of the decision and any
 description provided by it.
 .
 This package contains the documentation on how to use the Lace library.
