=== debian/watch ===
version=3
https://git.gitano.org.uk/lace.git /lace\.git/snapshot/lace-(.+)\.tar.bz2
