## lace 1.4

=== debian/changelog ===
lace (1.4-1) unstable; urgency=medium

  * New upstream release

 -- Daniel Silverstone <dsilvers@digital-scurf.org>  Wed, 02 Aug 2017 18:00:43 -0400
